Go 1.5 计划使用 Go 来编译 Go

Go 项目组发布了 Go 1.5 的计划,Go 1.5 将使用 Go 1.4 进行构建,Go 源码树将完全消除所有 C 的代码。移除 C 编译器 (5c,6c,8c,9c)。剩下的 C 程序将转成 Go 语言,包括 Go compilers (URL), 汇编器和连接器 (URL) 以及 cmd/dist. 如果这些程序都采用 Go 编写,这会引发一个在完整构建源码的启动问题 —— 你需要一个可用的 Go 工具链来构建 Go 工具链。

为了构建 Go 1.x (x ≥ 5),需要先安装 Go 1.4 到 $GOROOT_BOOTSTRAP. 默认的 $GOROOT_BOOTSTRAP 是 $HOME/go1.4. 我们使用 Go 1.4 作为启动的基础版本来编译工具链。

我们先来看看构建 Go 1.4 是怎么样的:

  • 使用 gcc 或者 clang 构建 cmd/dist .
  • 使用 dist、build 编译器工具链(gcc 或者 clang)
  • NOP
  • 使用 dist 构建 cmd/go (as go_bootstrap)
  • 使用 go_bootstrap 构建其他的标准库和命令

而 Go 1.x (x ≥ 5) 的构建将变成:

  • 使用 Go 1.4 构建 cmd/dist
  • 使用 dist 构建编译器工具链
  • 使用 dist 重新构建编译器工具链
  • 使用 dist 构建 cmd/go (go_bootstrap)
  • 使用 go_bootstrap 构建其他标准库和命令

更多关于 Go 1.5 的计划变化请进入golang社区:URL

转载请注明来源:新一 » Go 1.5 计划使用 Go 来编译 Go

赞 (1) 评论 (1) 分享 ()

评论 1

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. 爱奇趣分享网高大上回复